<template lang="pug">
  .container.error
    .error__block(v-if="error.statusCode === 404")
      h1.error__heading 404
      p.error__subheading Страница не найдена

    .error__block(v-else)
      h1.error__heading Произошла ошибка

    .button-wrapper
      nuxt-link.nuxt-button-link(to="/") На главную
        font-awesome-icon.nuxt-button-link__icon(icon="angle-right")

</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      default: null
    }
  },
  layout: 'default' // you can set a custom layout for the error page
};
</script>
